import request from '@/router/axios'

export function fetchList(query) {
  return request({
    url: '/admin/mallGoodsSpecValue/page',
    method: 'get',
    params: query
  })
}

export function addObj(obj) {
  return request({
    url: '/admin/mallGoodsSpecValue',
    method: 'post',
    data: obj
  })
}

export function getObj(id) {
  return request({
    url: '/admin/mallGoodsSpecValue/' + id,
    method: 'get'
  })
}

export function delObj(ids) {
  return request({
    url: '/admin/mallGoodsSpecValue/' + ids,
    method: 'delete'
  })
}

export function putObj(obj) {
  return request({
    url: '/admin/mallGoodsSpecValue',
    method: 'put',
    data: obj
  })
}
